5 Replies to “How to upgrade to Firefox 3.5”

  1. Wes, you have to be running 3.0.11 for this to work.
    Upgrade to 3.0.11 and then it will offer you 3.5.1

  2. Upgrade to 3.0.11 and then it will offer you 3.5.1

  3. Great! Woo!
    I agree with you!

    Thank you for sharing this with us.

  4. You appear to have been hacked. View Source shows there is a hidden iframe with a link to a malicious site at the end of the page. The malicious site is — with link broken — hxxp://davtraff.com/lib/index.php

Comments are closed.